--- !ruby/object:Gem::Specification
name: librex
version: !ruby/object:Gem::Version
  version: 0.0.68
  prerelease: 
platform: ruby
authors:
- HD Moore
- Jacob Hammack
autorequire: 
bindir: bin
cert_chain: []
date: 2012-07-10 00:00:00.000000000 Z
dependencies: []
description: Rex provides a variety of classes useful for security testing and exploit
  development. Based on SVN Revision 15602
email:
- hd_moore@rapid7.com
- jacob.hammack@hammackj.com
executables: []
extensions: []
extra_rdoc_files:
- README.markdown
files:
- Rakefile
- README.markdown
- lib/rex/machscan/scanner.rb
- lib/rex/exceptions.rb.ut.rb
- lib/rex/peparsey/pe.rb
- lib/rex/peparsey/section.rb
- lib/rex/peparsey/exceptions.rb
- lib/rex/peparsey/pe_memdump.rb
- lib/rex/peparsey/pebase.rb
- lib/rex/service_manager.rb
- lib/rex/machparsey.rb
- lib/rex/mime/header.rb
- lib/rex/mime/message.rb
- lib/rex/mime/part.rb
- lib/rex/post/gen.pl
- lib/rex/post/thread.rb
- lib/rex/post/dir.rb
- lib/rex/post/ui.rb
- lib/rex/post/meterpreter.rb
- lib/rex/post/permission.rb
- lib/rex/post/file.rb
- lib/rex/post/meterpreter/object_aliases.rb
- lib/rex/post/meterpreter/inbound_packet_handler.rb
- lib/rex/post/meterpreter/channel_container.rb
- lib/rex/post/meterpreter/client.rb
- lib/rex/post/meterpreter/channel.rb
- lib/rex/post/meterpreter/packet.rb
- lib/rex/post/meterpreter/ui/console.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/incognito.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/priv/timestomp.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/priv/passwd.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/priv/elevate.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/core.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/stdapi.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/sniffer.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/espia.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/networkpug.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/stdapi/webcam.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/stdapi/ui.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/stdapi/net.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/stdapi/fs.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/stdapi/sys.rb
- lib/rex/post/meterpreter/ui/console/command_dispatcher/priv.rb
- lib/rex/post/meterpreter/ui/console/interactive_channel.rb
- lib/rex/post/meterpreter/packet_parser.rb
- lib/rex/post/meterpreter/channels/pools/stream_pool.rb
- lib/rex/post/meterpreter/channels/pools/file.rb
- lib/rex/post/meterpreter/channels/pool.rb
- lib/rex/post/meterpreter/channels/stream.rb
- lib/rex/post/meterpreter/dependencies.rb
- lib/rex/post/meterpreter/packet_response_waiter.rb
- lib/rex/post/meterpreter/extensions/priv/tlv.rb
- lib/rex/post/meterpreter/extensions/priv/passwd.rb
- lib/rex/post/meterpreter/extensions/priv/fs.rb
- lib/rex/post/meterpreter/extensions/priv/priv.rb
- lib/rex/post/meterpreter/extensions/espia/tlv.rb
- lib/rex/post/meterpreter/extensions/espia/espia.rb
- lib/rex/post/meterpreter/extensions/incognito/incognito.rb
- lib/rex/post/meterpreter/extensions/incognito/tlv.rb
- lib/rex/post/meterpreter/extensions/stdapi/webcam/webcam.rb
- lib/rex/post/meterpreter/extensions/stdapi/fs/dir.rb
- lib/rex/post/meterpreter/extensions/stdapi/fs/file.rb
- lib/rex/post/meterpreter/extensions/stdapi/fs/io.rb
- lib/rex/post/meterpreter/extensions/stdapi/fs/file_stat.rb
- lib/rex/post/meterpreter/extensions/stdapi/constants.rb
- lib/rex/post/meterpreter/extensions/stdapi/ui.rb
- lib/rex/post/meterpreter/extensions/stdapi/tlv.rb
- lib/rex/post/meterpreter/extensions/stdapi/stdapi.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/registry_subsystem/registry_value.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/registry_subsystem/registry_key.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/registry_subsystem/remote_registry_key.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/thread.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/power.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/process_subsystem/image.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/process_subsystem/thread.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/process_subsystem/memory.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/process_subsystem/io.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/registry.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/config.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/process.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/event_log.rb
- lib/rex/post/meterpreter/extensions/stdapi/sys/event_log_subsystem/event_record.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll_wrapper.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll_function.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/win_const_manager.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_iphlpapi.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_ws2_32.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_netapi32.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_user32.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_wlanapi.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_kernel32.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_crypt32.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_advapi32.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_shell32.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/def/def_ntdll.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/api_constants.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/win_const_manager.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll_helper.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/tlv.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/api_constants.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/platform_util.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/platform_util.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll_wrapper.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/multicall.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/mock_magic.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll_helper.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/type/pointer_util.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/type/pointer_util.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/buffer_item.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/railgun.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/buffer_item.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/railgun.rb.ut.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/dll_function.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun/util.rb
- lib/rex/post/meterpreter/extensions/stdapi/net/socket_subsystem/tcp_client_channel.rb
- lib/rex/post/meterpreter/extensions/stdapi/net/socket_subsystem/tcp_server_channel.rb
- lib/rex/post/meterpreter/extensions/stdapi/net/socket_subsystem/udp_channel.rb
- lib/rex/post/meterpreter/extensions/stdapi/net/route.rb
- lib/rex/post/meterpreter/extensions/stdapi/net/socket.rb
- lib/rex/post/meterpreter/extensions/stdapi/net/config.rb
- lib/rex/post/meterpreter/extensions/stdapi/net/interface.rb
- lib/rex/post/meterpreter/extensions/stdapi/railgun.rb.ts.rb
- lib/rex/post/meterpreter/extensions/networkpug/tlv.rb
- lib/rex/post/meterpreter/extensions/networkpug/networkpug.rb
- lib/rex/post/meterpreter/extensions/lanattacks/tlv.rb
- lib/rex/post/meterpreter/extensions/lanattacks/lanattacks.rb
- lib/rex/post/meterpreter/extensions/sniffer/tlv.rb
- lib/rex/post/meterpreter/extensions/sniffer/sniffer.rb
- lib/rex/post/meterpreter/client_core.rb
- lib/rex/post/meterpreter/extension.rb
- lib/rex/post/meterpreter/packet_dispatcher.rb
- lib/rex/post/process.rb
- lib/rex/post/io.rb
- lib/rex/post/file_stat.rb
- lib/rex/encoders/xor_dword_additive.rb
- lib/rex/encoders/xor_dword_additive.rb.ut.rb
- lib/rex/encoders/xor_dword.rb
- lib/rex/pescan/scanner.rb
- lib/rex/pescan/search.rb
- lib/rex/pescan/analyze.rb
- lib/rex/constants.rb
- lib/rex/parser/nmap_xml.rb
- lib/rex/parser/nokogiri_doc_mixin.rb
- lib/rex/parser/nessus_xml.rb
- lib/rex/parser/ci_nokogiri.rb
- lib/rex/parser/arguments.rb.ut.rb
- lib/rex/parser/fusionvm_nokogiri.rb
- lib/rex/parser/mbsa_nokogiri.rb
- lib/rex/parser/netsparker_xml.rb
- lib/rex/parser/arguments.rb
- lib/rex/parser/nexpose_simple_nokogiri.rb
- lib/rex/parser/nmap_nokogiri.rb
- lib/rex/parser/appscan_nokogiri.rb
- lib/rex/parser/wapiti_nokogiri.rb
- lib/rex/parser/ip360_xml.rb
- lib/rex/parser/nexpose_raw_nokogiri.rb
- lib/rex/parser/openvas_nokogiri.rb
- lib/rex/parser/apple_backup_manifestdb.rb
- lib/rex/parser/ini.rb.ut.rb
- lib/rex/parser/retina_xml.rb
- lib/rex/parser/ini.rb
- lib/rex/parser/ip360_aspl_xml.rb
- lib/rex/parser/acunetix_nokogiri.rb
- lib/rex/parser/nexpose_xml.rb
- lib/rex/parser/burp_session_nokogiri.rb
- lib/rex/parser/foundstone_nokogiri.rb
- lib/rex/test.rb
- lib/rex/text.rb.ut.rb
- lib/rex/assembly/nasm.rb
- lib/rex/assembly/nasm.rb.ut.rb
- lib/rex/elfscan.rb
- lib/rex/transformer.rb
- lib/rex/time.rb
- lib/rex/LICENSE
- lib/rex/ui.rb
- lib/rex/io/datagram_abstraction.rb
- lib/rex/io/stream_server.rb
- lib/rex/io/bidirectional_pipe.rb
- lib/rex/io/stream_abstraction.rb
- lib/rex/io/ring_buffer.rb
- lib/rex/io/ring_buffer.rb.ut.rb
- lib/rex/io/stream.rb
- lib/rex/socket/tcp_server.rb.ut.rb
- lib/rex/socket/subnet_walker.rb
- lib/rex/socket/comm.rb
- lib/rex/socket/tcp.rb
- lib/rex/socket/comm/local.rb.ut.rb
- lib/rex/socket/comm/local.rb
- lib/rex/socket/tcp_server.rb
- lib/rex/socket/parameters.rb
- lib/rex/socket/subnet_walker.rb.ut.rb
- lib/rex/socket/ssl_tcp.rb
- lib/rex/socket/switch_board.rb.ut.rb
- lib/rex/socket/udp.rb.ut.rb
- lib/rex/socket/ip.rb
- lib/rex/socket/switch_board.rb
- lib/rex/socket/ssl_tcp_server.rb.ut.rb
- lib/rex/socket/parameters.rb.ut.rb
- lib/rex/socket/tcp.rb.ut.rb
- lib/rex/socket/udp.rb
- lib/rex/socket/ssl_tcp.rb.ut.rb
- lib/rex/socket/range_walker.rb
- lib/rex/socket/ssl_tcp_server.rb
- lib/rex/socket/range_walker.rb.ut.rb
- lib/rex/sync.rb
- lib/rex/proto/http.rb.ts.rb
- lib/rex/proto/rfb.rb
- lib/rex/proto/dhcp/constants.rb
- lib/rex/proto/dhcp/server.rb
- lib/rex/proto/smb/constants.rb
- lib/rex/proto/smb/client.rb
- lib/rex/proto/smb/constants.rb.ut.rb
- lib/rex/proto/smb/exceptions.rb
- lib/rex/proto/smb/simpleclient.rb.ut.rb
- lib/rex/proto/smb/utils.rb
- lib/rex/proto/smb/crypt.rb
- lib/rex/proto/smb/evasions.rb
- lib/rex/proto/smb/utils.rb.ut.rb
- lib/rex/proto/smb/simpleclient.rb
- lib/rex/proto/smb/client.rb.ut.rb
- lib/rex/proto/dhcp.rb
- lib/rex/proto/proxy/socks4a.rb
- lib/rex/proto/ntlm.rb.ut.rb
- lib/rex/proto/sunrpc.rb
- lib/rex/proto/dcerpc.rb
- lib/rex/proto/drda.rb.ts.rb
- lib/rex/proto/dcerpc/handle.rb
- lib/rex/proto/dcerpc/client.rb
- lib/rex/proto/dcerpc/uuid.rb.ut.rb
- lib/rex/proto/dcerpc/ndr.rb
- lib/rex/proto/dcerpc/exceptions.rb
- lib/rex/proto/dcerpc/packet.rb
- lib/rex/proto/dcerpc/response.rb.ut.rb
- lib/rex/proto/dcerpc/handle.rb.ut.rb
- lib/rex/proto/dcerpc/packet.rb.ut.rb
- lib/rex/proto/dcerpc/ndr.rb.ut.rb
- lib/rex/proto/dcerpc/uuid.rb
- lib/rex/proto/dcerpc/response.rb
- lib/rex/proto/dcerpc/client.rb.ut.rb
- lib/rex/proto/drda/constants.rb
- lib/rex/proto/drda/constants.rb.ut.rb
- lib/rex/proto/drda/packet.rb
- lib/rex/proto/drda/utils.rb
- lib/rex/proto/drda/packet.rb.ut.rb
- lib/rex/proto/drda/utils.rb.ut.rb
- lib/rex/proto/iax2/codecs/mulaw.rb
- lib/rex/proto/iax2/codecs/alaw.rb
- lib/rex/proto/iax2/codecs/g711.rb
- lib/rex/proto/iax2/call.rb
- lib/rex/proto/iax2/constants.rb
- lib/rex/proto/iax2/client.rb
- lib/rex/proto/iax2/codecs.rb
- lib/rex/proto/sunrpc/client.rb
- lib/rex/proto/dcerpc.rb.ts.rb
- lib/rex/proto/iax2.rb
- lib/rex/proto/http.rb
- lib/rex/proto/drda.rb
- lib/rex/proto/natpmp.rb
- lib/rex/proto/rfb/cipher.rb
- lib/rex/proto/rfb/constants.rb
- lib/rex/proto/rfb/client.rb
- lib/rex/proto/rfb.rb.ut.rb
- lib/rex/proto/ntlm/base.rb
- lib/rex/proto/ntlm/constants.rb
- lib/rex/proto/ntlm/exceptions.rb
- lib/rex/proto/ntlm/utils.rb
- lib/rex/proto/ntlm/crypt.rb
- lib/rex/proto/ntlm/message.rb
- lib/rex/proto/http/handler/proc.rb
- lib/rex/proto/http/handler/erb.rb.ut.rb.rhtml
- lib/rex/proto/http/handler/proc.rb.ut.rb
- lib/rex/proto/http/handler/erb.rb.ut.rb
- lib/rex/proto/http/handler/erb.rb
- lib/rex/proto/http/client.rb
- lib/rex/proto/http/server.rb
- lib/rex/proto/http/header.rb.ut.rb
- lib/rex/proto/http/request.rb.ut.rb
- lib/rex/proto/http/request.rb
- lib/rex/proto/http/packet.rb
- lib/rex/proto/http/response.rb.ut.rb
- lib/rex/proto/http/packet.rb.ut.rb
- lib/rex/proto/http/header.rb
- lib/rex/proto/http/handler.rb
- lib/rex/proto/http/server.rb.ut.rb
- lib/rex/proto/http/response.rb
- lib/rex/proto/http/client.rb.ut.rb
- lib/rex/proto/tftp.rb
- lib/rex/proto/tftp/constants.rb
- lib/rex/proto/tftp/client.rb
- lib/rex/proto/tftp/server.rb
- lib/rex/proto/tftp/server.rb.ut.rb
- lib/rex/proto/smb.rb.ts.rb
- lib/rex/proto/smb.rb
- lib/rex/proto/ntlm.rb
- lib/rex/proto/natpmp/constants.rb
- lib/rex/proto/natpmp/packet.rb
- lib/rex/ropbuilder.rb
- lib/rex/zip.rb
- lib/rex/registry.rb
- lib/rex/platforms/windows.rb
- lib/rex/platforms.rb
- lib/rex/proto.rb.ts.rb
- lib/rex/socket.rb
- lib/rex/logging.rb
- lib/rex/exceptions.rb
- lib/rex/poly/register.rb
- lib/rex/poly/register/x86.rb
- lib/rex/poly/block.rb
- lib/rex/nop/opty2_tables.rb
- lib/rex/nop/opty2.rb
- lib/rex/nop/opty2.rb.ut.rb
- lib/rex/ui/text/shell.rb
- lib/rex/ui/text/irb_shell.rb
- lib/rex/ui/text/input.rb
- lib/rex/ui/text/progress_tracker.rb.ut.rb
- lib/rex/ui/text/color.rb.ut.rb
- lib/rex/ui/text/color.rb
- lib/rex/ui/text/table.rb
- lib/rex/ui/text/output/stdio.rb
- lib/rex/ui/text/output/socket.rb
- lib/rex/ui/text/output/file.rb
- lib/rex/ui/text/output/buffer.rb
- lib/rex/ui/text/output/tee.rb
- lib/rex/ui/text/output.rb
- lib/rex/ui/text/progress_tracker.rb
- lib/rex/ui/text/dispatcher_shell.rb
- lib/rex/ui/text/input/readline.rb
- lib/rex/ui/text/input/stdio.rb
- lib/rex/ui/text/input/socket.rb
- lib/rex/ui/text/input/buffer.rb
- lib/rex/ui/text/table.rb.ut.rb
- lib/rex/ui/subscriber.rb
- lib/rex/ui/output/none.rb
- lib/rex/ui/output.rb
- lib/rex/ui/interactive.rb
- lib/rex/ui/progress_tracker.rb
- lib/rex/transformer.rb.ut.rb
- lib/rex/zip/entry.rb
- lib/rex/zip/blocks.rb
- lib/rex/zip/samples/mkzip.rb
- lib/rex/zip/samples/comment.rb
- lib/rex/zip/samples/recursive.rb
- lib/rex/zip/samples/mkwar.rb
- lib/rex/zip/jar.rb
- lib/rex/zip/archive.rb
- lib/rex/post.rb
- lib/rex/sync/thread_safe.rb
- lib/rex/sync/read_write_lock.rb
- lib/rex/sync/ref.rb
- lib/rex/sync/event.rb
- lib/rex/codepage.map
- lib/rex/machscan.rb
- lib/rex/ole.rb
- lib/rex/ole/substorage.rb
- lib/rex/ole/minifat.rb
- lib/rex/ole/fat.rb
- lib/rex/ole/directory.rb
- lib/rex/ole/difat.rb
- lib/rex/ole/storage.rb
- lib/rex/ole/header.rb
- lib/rex/ole/propset.rb
- lib/rex/ole/samples/dir.rb
- lib/rex/ole/samples/ole_info.rb
- lib/rex/ole/samples/create_ole.rb
- lib/rex/ole/samples/dump_stream.rb
- lib/rex/ole/stream.rb
- lib/rex/ole/docs/dependencies.txt
- lib/rex/ole/docs/references.txt
- lib/rex/ole/clsid.rb
- lib/rex/ole/direntry.rb
- lib/rex/ole/util.rb
- lib/rex/struct2.rb
- lib/rex/thread_factory.rb
- lib/rex/image_source/memory.rb
- lib/rex/image_source/disk.rb
- lib/rex/image_source/image_source.rb
- lib/rex/file.rb
- lib/rex/encoder/xor.rb
- lib/rex/encoder/xor/dword.rb
- lib/rex/encoder/xor/dword_additive.rb
- lib/rex/encoder/ndr.rb
- lib/rex/encoder/nonupper.rb
- lib/rex/encoder/alpha2/generic.rb
- lib/rex/encoder/alpha2/alpha_upper.rb
- lib/rex/encoder/alpha2/unicode_upper.rb
- lib/rex/encoder/alpha2/unicode_mixed.rb
- lib/rex/encoder/alpha2/alpha_mixed.rb
- lib/rex/encoder/nonalpha.rb
- lib/rex/encoder/ndr.rb.ut.rb
- lib/rex/encoder/xdr.rb.ut.rb
- lib/rex/encoder/xdr.rb
- lib/rex/encoder/alpha2.rb
- lib/rex/peparsey.rb
- lib/rex/ropbuilder/rop.rb
- lib/rex/struct2/s_struct.rb
- lib/rex/struct2/c_struct.rb
- lib/rex/struct2/element.rb
- lib/rex/struct2/c_struct_template.rb
- lib/rex/struct2/generic.rb
- lib/rex/struct2/restraint.rb
- lib/rex/struct2/s_string.rb
- lib/rex/struct2/constant.rb
- lib/rex/machparsey/machbase.rb
- lib/rex/machparsey/exceptions.rb
- lib/rex/machparsey/mach.rb
- lib/rex/encoding/xor.rb
- lib/rex/encoding/xor/dword.rb
- lib/rex/encoding/xor/dword_additive.rb
- lib/rex/encoding/xor/dword_additive.rb.ut.rb
- lib/rex/encoding/xor/word.rb
- lib/rex/encoding/xor/dword.rb.ut.rb
- lib/rex/encoding/xor/generic.rb
- lib/rex/encoding/xor/byte.rb
- lib/rex/encoding/xor/exceptions.rb
- lib/rex/encoding/xor/generic.rb.ut.rb
- lib/rex/encoding/xor/word.rb.ut.rb
- lib/rex/encoding/xor/byte.rb.ut.rb
- lib/rex/encoding/xor/qword.rb
- lib/rex/encoding/xor.rb.ts.rb
- lib/rex/logging/sinks/stderr.rb
- lib/rex/logging/sinks/flatfile.rb
- lib/rex/logging/log_sink.rb
- lib/rex/logging/log_dispatcher.rb
- lib/rex/job_container.rb
- lib/rex/elfparsey/exceptions.rb
- lib/rex/elfparsey/elf.rb
- lib/rex/elfparsey/elfbase.rb
- lib/rex/service.rb
- lib/rex/pescan.rb
- lib/rex/file.rb.ut.rb
- lib/rex/elfscan/scanner.rb
- lib/rex/elfscan/search.rb
- lib/rex/arch/x86.rb.ut.rb
- lib/rex/arch/sparc.rb.ut.rb
- lib/rex/arch/x86.rb
- lib/rex/arch/sparc.rb
- lib/rex/mime.rb
- lib/rex/socket.rb.ut.rb
- lib/rex/payloads/win32/common.rb
- lib/rex/payloads/win32/kernel.rb
- lib/rex/payloads/win32/kernel/recovery.rb
- lib/rex/payloads/win32/kernel/common.rb
- lib/rex/payloads/win32/kernel/migration.rb
- lib/rex/payloads/win32/kernel/stager.rb
- lib/rex/payloads/win32.rb
- lib/rex/arch.rb
- lib/rex/payloads.rb
- lib/rex/image_source.rb
- lib/rex/script/shell.rb
- lib/rex/script/base.rb
- lib/rex/script/meterpreter.rb
- lib/rex/mac_oui.rb
- lib/rex/exploitation/javascriptosdetect.rb
- lib/rex/exploitation/heaplib.rb
- lib/rex/exploitation/omelet.rb.ut.rb
- lib/rex/exploitation/obfuscatejs.rb
- lib/rex/exploitation/egghunter.rb.ut.rb
- lib/rex/exploitation/cmdstager/base.rb
- lib/rex/exploitation/cmdstager/vbs.rb
- lib/rex/exploitation/cmdstager/debug_asm.rb
- lib/rex/exploitation/cmdstager/debug_write.rb
- lib/rex/exploitation/cmdstager/tftp.rb
- lib/rex/exploitation/jsobfu.rb
- lib/rex/exploitation/omelet.rb
- lib/rex/exploitation/seh.rb.ut.rb
- lib/rex/exploitation/opcodedb.rb.ut.rb
- lib/rex/exploitation/egghunter.rb
- lib/rex/exploitation/javascriptosdetect.js
- lib/rex/exploitation/heaplib.js.b64
- lib/rex/exploitation/cmdstager.rb
- lib/rex/exploitation/encryptjs.rb
- lib/rex/exploitation/seh.rb
- lib/rex/exploitation/opcodedb.rb
- lib/rex/services/local_relay.rb
- lib/rex/poly.rb
- lib/rex/script.rb
- lib/rex/proto.rb
- lib/rex/elfparsey.rb
- lib/rex/text.rb
- lib/rex/compat.rb
- lib/rex/service_manager.rb.ut.rb
- lib/rex/registry/valuekey.rb
- lib/rex/registry/hive.rb
- lib/rex/registry/regf.rb
- lib/rex/registry/lfkey.rb
- lib/rex/registry/nodekey.rb
- lib/rex/registry/valuelist.rb
- lib/rex.rb
homepage: http://www.metasploit.com/
licenses:
- BSD
post_install_message: 
rdoc_options: []
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: 1.8.7
required_rubygems_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 1.8.24
signing_key: 
specification_version: 3
summary: Ruby Exploitation Library
test_files: []
